Subject: [MMUSIC] "field" versus "line" terminology in draft-ietf-mmusic-rfc4566bis-14

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Fri, 20 Feb 2015 20:10:26 +0000

We were investigating what terminology we should be using for describing an SDP line and found that 4566bis (and presumably RFC 4566) are not particularly consistent.

We find both:

"m=" line
"c=" field

I note that early in section 5 we have the text:

<type>=<value>

   where <type> MUST be exactly one case-significant character and
   <value> is structured text whose format depends on <type>.  In
   general, <value> is either a number of fields delimited by a single
   space character or a free format string, and is case-significant
   unless a specific field defines otherwise.  Whitespace MUST NOT be
   used on either side of the "=" sign.

That imples that a line can have multiple fields separated by a space.

When we get to the description of the "o=" in section 5.2 we have text:

   The "o=" field gives the originator of the session (her username and
   the address of the user's host) plus a session identifier and version
   number:

But the ABNF defines

   origin-field =       %s"o" "=" username SP sess-id SP sess-version SP
   nettype SP addrtype SP unicast-address CRLF

Implying from the earlier definition that the line consists of multiple fields.

Perhaps we should apply the term "line" throughout unless we explicitly mean the specific part of a line identified as a "field".

Regards

Keith

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Mon, 23 Feb 2015 08:22:04 +0000

Sounds good to me. I will make this change in the next revision. 

-acbegen 
Sent using iThumbs - DYAC

> On Feb 20, 2015, at 10:10 PM, DRAGE, Keith (Keith) <[email-masked]> wrote:
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic